Subject: bug#39678: 'grep --ignore-case --color' does not always color the matches

From: Tomasz Dziendzielski <[email-masked]>
Date: Mon, 18 Oct 2021 17:39:49 +0200

Now I noticed that it introduces inconsistency, but due to a second problem
- that grep prints lines even when there were no matching strings. For
example if I run:
$ echo "a" | grep -E "{1,3}"
$ echo "a" | grep -i "\a"
then it returns the string "a" even though it doesn't match anything. With
my patch it correctly does not print the string but I think for consistency
it also requires adaptations in case --color was not passed. I'll try to
work on that.

Best regards,
Tomasz Dziendzielski